## xgridfit 1.0a

=== Makefile ===
#!/usr/bin/make -f
#
#  Copyright (C) 2007 xxx
#

include version.mk

DESTDIR =
PREFIX = /usr/local


install:
	mkdir -p $(DESTDIR)$(PREFIX)/bin

	sed "s|@xslt_prefix@|${PREFIX}|g" \
		bin/xgridfit > $(DESTDIR)$(PREFIX)/bin/xgridfit; \
	sed "s|@xslt_prefix@|${PREFIX}|g" \
		bin/xgfupdate > $(DESTDIR)$(PREFIX)/bin/xgfupdate; \
	sed "s|@xslt_prefix@|${PREFIX}|g" \
		bin/ttx2xgf > $(DESTDIR)$(PREFIX)/bin/ttx2xgf; \

	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgridfit
	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgfupdate
	chmod 0755 $(DESTDIR)$(PREFIX)/bin/ttx2xgf

	mkdir -p $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib
	cp lib/* $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib

	mkdir -p $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/schemas
	cp schemas/* $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/schemas

	mkdir -p $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/utils
	cp utils/* $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/utils

	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	cp man/*.1 $(DESTDIR)$(PREFIX)/share/man/man1

# If replacing an older version of Xgridfit, these are obsolete.
	rm -f  $(DESTDIR)$(PREFIX)/share/man/man1/xgridfit-ttx.1
	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib/xgridfit-ttx.xsl
	rm -f $(DESTDIR)$(PREFIX)/bin/xgridfit-ttx


install-docs:
	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/html
	cp docs/* $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/html


install-all:
	$(MAKE) -f Makefile install
	$(MAKE) -f Makefile install-docs


uninstall:
	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib/*
	rmdir $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib
	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/schemas/*
	rmdir $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/schemas
	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/utils/*
	rmdir $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/utils
	rmdir $(DESTDIR)$(PREFIX)/share/$(PACKAGE)
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/xgridfit.1*
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/xgfupdate.1*
	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/ttx2xgf.1*
	rm -f $(DESTDIR)$(PREFIX)/bin/xgridfit
	rm -f $(DESTDIR)$(PREFIX)/bin/xgfupdate
	rm -f $(DESTDIR)$(PREFIX)/bin/ttx2xgf


uninstall-docs:
	rm -f $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/html/*
	rmdir $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/html
	rmdir $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)


uninstall-all:
	$(MAKE) -f Makefile uninstall
	$(MAKE) -f Makefile uninstall-docs


dist:
	$(MAKE) -f Makefile clean
	tar -C .. -zcvf $(PACKAGE)-$(VERSION).tar.gz \
		--exclude=CVS --exclude=*.tar.bz2 --exclude=.*  --exclude=*.*~ \
                --exclude=*~ --exclude=*.tar.gz xgridfit

clean:
	rm -f *.tar.gz *.*~ *~
	rm -f bin/*~
	rm -f docs/*.*~
	rm -f lib/*.*~
	rm -f schemas/*.*~
	rm -f utils/*.*~


.PHONY:	install install-docs install-all uninstall \
        uninstall-docs uninstall-all dist clean

## xgridfit 1.19b

=== Makefile ===
--- 
+++ 
@@ -18,10 +18,16 @@
 		bin/xgfupdate > $(DESTDIR)$(PREFIX)/bin/xgfupdate; \
 	sed "s|@xslt_prefix@|${PREFIX}|g" \
 		bin/ttx2xgf > $(DESTDIR)$(PREFIX)/bin/ttx2xgf; \
+        sed "s|@xslt_prefix@|${PREFIX}|g" \
+		bin/xgfconfig > $(DESTDIR)$(PREFIX)/bin/xgfconfig; \
+        sed "s|@xslt_prefix@|${PREFIX}|g" \
+		bin/xgfmerge > $(DESTDIR)$(PREFIX)/bin/xgfmerge; \
 
 	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgridfit
 	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgfupdate
 	chmod 0755 $(DESTDIR)$(PREFIX)/bin/ttx2xgf
+	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgfconfig
+	chmod 0755 $(DESTDIR)$(PREFIX)/bin/xgfmerge
 
 	mkdir -p $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib
 	cp lib/* $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib
@@ -39,6 +45,8 @@
 	rm -f  $(DESTDIR)$(PREFIX)/share/man/man1/xgridfit-ttx.1
 	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/lib/xgridfit-ttx.xsl
 	rm -f $(DESTDIR)$(PREFIX)/bin/xgridfit-ttx
+	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/schemas/xgridfit-strict.*
+	rm -f $(DESTDIR)$(PREFIX)/share/$(PACKAGE)/schemas/xgridfit-transitional.*
 
 
 install-docs:
@@ -62,9 +70,12 @@
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/xgridfit.1*
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/xgfupdate.1*
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/ttx2xgf.1*
+	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/xgfconfig.1*
 	rm -f $(DESTDIR)$(PREFIX)/bin/xgridfit
 	rm -f $(DESTDIR)$(PREFIX)/bin/xgfupdate
 	rm -f $(DESTDIR)$(PREFIX)/bin/ttx2xgf
+	rm -f $(DESTDIR)$(PREFIX)/bin/xgfconfig
+	rm -f $(DESTDIR)$(PREFIX)/bin/xgfmerge
 
 
 uninstall-docs:

## xgridfit 2.1

=== Makefile ===
#!/usr/bin/make -f
#
#  Makefile by Kestutis Biliunas 2007
#  Revised by Peter Baker 2007-2009
#  Contributions by Nicolas Mailhot 2009
#

SHELL=/bin/bash

include version.mk

DESTDIR =
PREFIX = /usr/local

# %{_bindir} in rpm speak
BINDIR = $(PREFIX)/bin

# %{_datadir}/xml in rpm speak
XMLDIR = $(PREFIX)/share/xml

#%{_mandir} in rpm speak
MANDIR = $(PREFIX)/share/man

# Could be changed to $(XMLDIR)/$(PACKAGE)-$(VERSION)
MAINDIR = $(XMLDIR)/$(PACKAGE)

install:
	@install -d -m 0755 $(DESTDIR)$(BINDIR)
	@install -p -m 0755 bin/* $(DESTDIR)$(BINDIR)
	@for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit} ; do \
	  sed -i -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" $$file ; \
	done
	@which python > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  PYTHONPROG=`which python` ; \
	  sed -i "s|@python_prog@|$$PYTHONPROG|" $(DESTDIR)$(BINDIR)/getinstrs ; \
	else \
	  echo "Python is required for getinstrs; it will not be installed." ; \
	  rm -f $(DESTDIR)$(BINDIR)/getinstrs ; \
	fi
	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}
	@for dir in lib schemas utils ; do \
	  install -p -m 0644 $$dir/* $(DESTDIR)$(MAINDIR)/$$dir ; \
	done
	@for file in $(DESTDIR)$(MAINDIR)/schemas/*.xml ; do \
	  sed -i "s|@xgridfit_dir@|${MAINDIR}|g" $$file ; \
	done
	@install -d -m 0755 $(DESTDIR)$(MANDIR)/man1
	@install -p -m 0644 man/*.1 $(DESTDIR)$(MANDIR)/man1
	@echo "Xgridfit installed successfully."


install-mac:
	@install -d -m 0755 $(DESTDIR)$(BINDIR)
	@install -p -m 0755 bin/* $(DESTDIR)$(BINDIR)
	@for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit} ; do \
	  sed -i "" -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" $$file ; \
	done
	@which python > /dev/null ; \
	if [ $$? -eq 0 ] ; then \
	  PYTHONPROG=`which python` ; \
	  sed -i "" "s|@python_prog@|$$PYTHONPROG|" $(DESTDIR)$(BINDIR)/getinstrs ; \
	else \
	  echo "Python is required for getinstrs; it will not be installed." ; \
	  rm -f $(DESTDIR)$(BINDIR)/getinstrs ; \
	fi
	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}
	@for dir in lib schemas utils ; do \
	  install -p -m 0644 $$dir/* $(DESTDIR)$(MAINDIR)/$$dir ; \
	done
	@for file in $(DESTDIR)$(MAINDIR)/schemas/*.xml ; do \
	  sed -i "" "s|@xgridfit_dir@|${MAINDIR}|g" $$file ; \
	done
	@install -d -m 0755 $(DESTDIR)$(MANDIR)/man1
	@install -p -m 0644 man/*.1 $(DESTDIR)$(MANDIR)/man1
	@echo "Xgridfit installed successfully."


install-docs:
	@mkdir -p $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/html
	@cp docs/* $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/html
	@echo "Xgridfit documentation installed in $(DESTDIR)$(PREFIX)/share/doc/"


install-all:
	$(MAKE) -f Makefile install
	$(MAKE) -f Makefile install-docs


install-all-mac:
	$(MAKE) -f Makefile install-mac
	$(MAKE) -f Makefile install-docs


uninstall:
	rm -f $(DESTDIR)$(MAINDIR)/lib/*
	rmdir $(DESTDIR)$(MAINDIR)/lib
	rm -f $(DESTDIR)$(MAINDIR)/schemas/*
	rmdir $(DESTDIR)$(MAINDIR)/schemas
	rm -f $(DESTDIR)$(MAINDIR)/utils/*
	rmdir $(DESTDIR)$(MAINDIR)/utils
	rmdir $(DESTDIR)$(MAINDIR)
	rm -f $(DESTDIR)$(MANDIR)/man1/$(PACKAGE).1*
	rm -f $(DESTDIR)$(MANDIR)/man1/xgfupdate.1*
	rm -f $(DESTDIR)$(MANDIR)/man1/ttx2xgf.1*
	rm -f $(DESTDIR)$(MANDIR)/man1/xgfconfig.1*
	rm -f $(DESTDIR)$(BINDIR)/$(PACKAGE)
	rm -f $(DESTDIR)$(BINDIR)/xgfupdate
	rm -f $(DESTDIR)$(BINDIR)/ttx2xgf
	rm -f $(DESTDIR)$(BINDIR)/xgfconfig
	rm -f $(DESTDIR)$(BINDIR)/xgfmerge
	rm -f $(DESTDIR)$(BINDIR)/getinstrs


uninstall-docs:
	rm -f $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/html/*
	rmdir $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)/html
	rmdir $(DESTDIR)$(PREFIX)/share/doc/$(PACKAGE)


uninstall-all:
	$(MAKE) -f Makefile uninstall
	$(MAKE) -f Makefile uninstall-docs


dist:
	$(MAKE) -f Makefile clean
	tar -C .. -zcvf $(PACKAGE)-$(VERSION).tar.gz \
		--exclude=CVS --exclude=*.tar.bz2 --exclude=.*  --exclude=*.*~ \
		--exclude=*~ --exclude=*.tar.gz $(PACKAGE)

clean:
	rm -f *.tar.gz *.*~ *~
	rm -f bin/*~
	rm -f docs/*.*~
	rm -f lib/*.*~
	rm -f schemas/*.*~
	rm -f utils/*.*~
	rm -f man/*.*~


.PHONY:	install install-mac install-docs install-all install-all-mac \
	uninstall uninstall-docs uninstall-all dist clean

=== debian/changelog ===
xgridfit (2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/patches: removed the patch 001_fix_manpage_xgridfit.diff --
    applied by upstream.
  * Switched to 3.0 (quilt) source format.
  * debian/control:
    - switched to debhelper v7;
    - add ${misc:Depends} to dependencies to properly cope with 
      debhelper-triggerred dependencies;
    - added Depends on python for the xgridfit binary package;
    - bumped Standards-Version to 3.8.3. No changes required.
  * Use a minimal debian/rules file.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Tue, 22 Dec 2009 21:38:37 +0200

xgridfit (1.19b-1) unstable; urgency=low

  * New upstream release.
  * debian/control: bumped Standards-Version to 3.8.2. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Wed, 24 Jun 2009 18:33:24 +0300

xgridfit (1.18-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - changed section to the new fonts section;
    - bumped Standards-Version to 3.8.1. No changes required.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 12 Jun 2009 17:48:44 +0300

xgridfit (1.17a-1) unstable; urgency=low

  * New upstream release
  * debian/menu.doc-base: changed section to Graphics.
  * debian/control:
    - added Build-Depends on quilt for manage a patches. Correspondingly
      changed the file debian/rules and added the directory debian/patches.
    - bumped Standards-Version to 3.8.0. No changes required.
    - added DM-Upload-Allowed: yes.
  * debian/patches: added the patch 001_fix_manpage_xgridfit.diff for
    fixing menpage xgridfit.1 formating.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sat, 14 Feb 2009 19:54:16 +0200

xgridfit (1.0a-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - the homepage address removed from extended package description and added
      Homepage field in the source package.
    - added Vcs-Svn and Vcs-Browser fields.
    - bumped Standards-Version to 3.7.3.
  * debian/manpages: removed this file.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Thu, 06 Dec 2007 11:48:02 +0200

xgridfit (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #427917, #430916).

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Sun, 08 Jul 2007 13:29:18 +0300

=== debian/control ===
Source: xgridfit
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Kęstutis Biliūnas <kebil@kaunas.init.lt>
Dm-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.3
Homepage: http://xgridfit.sourceforge.net/
Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/xgridfit/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/xgridfit/

Package: xgridfit
Architecture: all
Depends: ${misc:Depends}, xsltproc
Suggests: fontforge, fonttools, python
Description: a program for gridfitting, or "hinting," TrueType fonts
 Xgridfit is a simple program that implements an XML-based language
 for gridfitting, or "hinting," TrueType fonts.

Package: xgridfit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for xgridfit
 Xgridfit is a simple program that implements an XML-based language
 for gridfitting, or "hinting," TrueType fonts.

## xgridfit 2.2a

=== Makefile ===
--- 
+++ 
@@ -27,16 +27,15 @@
 install:
 	@install -d -m 0755 $(DESTDIR)$(BINDIR)
 	@install -p -m 0755 bin/* $(DESTDIR)$(BINDIR)
-	@for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit} ; do \
-	  sed -i -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" $$file ; \
-	done
 	@which python > /dev/null ; \
 	if [ $$? -eq 0 ] ; then \
 	  PYTHONPROG=`which python` ; \
-	  sed -i "s|@python_prog@|$$PYTHONPROG|" $(DESTDIR)$(BINDIR)/getinstrs ; \
+	  for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; do \
+	  sed -i -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" -e \
+	  "s|@python_prog@|$$PYTHONPROG|" $$file ; done ; \
 	else \
 	  echo "Python is required for getinstrs; it will not be installed." ; \
-	  rm -f $(DESTDIR)$(BINDIR)/getinstrs ; \
+	  rm -f $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; \
 	fi
 	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}
 	@for dir in lib schemas utils ; do \
@@ -47,22 +46,22 @@
 	done
 	@install -d -m 0755 $(DESTDIR)$(MANDIR)/man1
 	@install -p -m 0644 man/*.1 $(DESTDIR)$(MANDIR)/man1
+	@cd python ; python setup.py install --root=$(DESTDIR)/
 	@echo "Xgridfit installed successfully."
 
 
 install-mac:
 	@install -d -m 0755 $(DESTDIR)$(BINDIR)
 	@install -p -m 0755 bin/* $(DESTDIR)$(BINDIR)
-	@for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit} ; do \
-	  sed -i "" -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" $$file ; \
-	done
 	@which python > /dev/null ; \
 	if [ $$? -eq 0 ] ; then \
 	  PYTHONPROG=`which python` ; \
-	  sed -i "" "s|@python_prog@|$$PYTHONPROG|" $(DESTDIR)$(BINDIR)/getinstrs ; \
+	  for file in $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; do \
+	  sed -i "" -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" -e \
+	  "s|@python_prog@|$$PYTHONPROG|" $$file ; done ; \
 	else \
 	  echo "Python is required for getinstrs; it will not be installed." ; \
-	  rm -f $(DESTDIR)$(BINDIR)/getinstrs ; \
+	  rm -f $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; \
 	fi
 	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}
 	@for dir in lib schemas utils ; do \
@@ -73,6 +72,7 @@
 	done
 	@install -d -m 0755 $(DESTDIR)$(MANDIR)/man1
 	@install -p -m 0644 man/*.1 $(DESTDIR)$(MANDIR)/man1
+	@cd python ; python setup.py install --root=$(DESTDIR)/
 	@echo "Xgridfit installed successfully."

=== debian/changelog ===
xgridfit (2.2a-2) unstable; urgency=low

  [ Sven Hoexter ]
  * Team upload.
  * Add debian/patches/usr_local.diff to remove the 'local' part hard coded
    in python/xgflib.py. (Closes: #625587)
    Thanks to Sven Hoexter for the patch.

 -- Christian Perrier <bubulle@debian.org>  Fri, 27 May 2011 16:17:19 +0200

xgridfit (2.2a-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - added Build-Depends on python and python-support;
    - added 'XS-Python-Version: >= 2.6' field;
    - bumped Standards-Version to 3.8.4. No changes required.
  * debian/patches: added the patch 002_fix_makefile_clean.diff for
    removing python/build directory.

 -- Kęstutis Biliūnas <kebil@kaunas.init.lt>  Fri, 16 Apr 2010 11:11:28 +0300

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
 Uploaders: Kęstutis Biliūnas <kebil@kaunas.init.lt>
 Dm-Upload-Allowed: yes
+XS-Python-Version: >= 2.6
 Build-Depends: debhelper (>= 7.0.50~)
-Standards-Version: 3.8.3
+Build-Depends-Indep: python, python-support
+Standards-Version: 3.8.4
 Homepage: http://xgridfit.sourceforge.net/
 Vcs-svn: svn://svn.debian.org/pkg-fonts/packages/xgridfit/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-fonts/packages/xgridfit/
 
 Package: xgridfit
 Architecture: all
-Depends: ${misc:Depends}, xsltproc
-Suggests: fontforge, fonttools, python
+Depends: ${misc:Depends}, ${python:Depends}, xsltproc
+Suggests: fontforge, fonttools
 Description: a program for gridfitting, or "hinting," TrueType fonts
  Xgridfit is a simple program that implements an XML-based language
  for gridfitting, or "hinting," TrueType fonts.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --no-act

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/xgridfit PREFIX=/usr install
	$(MAKE) DESTDIR=$(CURDIR)/debian/xgridfit-doc PREFIX=/usr install-docs
#	dh_install

## xgridfit 2.3

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 	  sed -i -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" -e \
 	  "s|@python_prog@|$$PYTHONPROG|" $$file ; done ; \
 	else \
-	  echo "Python is required for getinstrs; it will not be installed." ; \
+	  echo "Python is required for xgridfit." ; \
 	  rm -f $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; \
 	fi
 	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}
@@ -60,7 +60,7 @@
 	  sed -i "" -e "s|@xgridfit_dir@|${MAINDIR}|g" -e "s|@version@|$(VERSION)|" -e \
 	  "s|@python_prog@|$$PYTHONPROG|" $$file ; done ; \
 	else \
-	  echo "Python is required for getinstrs; it will not be installed." ; \
+	  echo "Python is required for xgridfit." ; \
 	  rm -f $(DESTDIR)$(BINDIR)/{ttx2xgf,xgfconfig,xgfmerge,xgfupdate,xgridfit,getinstrs} ; \
 	fi
 	@install -d -m 0755  $(DESTDIR)$(MAINDIR)/{lib,schemas,utils}

=== debian/changelog ===
xgridfit (2.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debian/control
    - drop Kęstutis Biliūnas <kebil@kaunas.init.lt> from Uploaders,
      Thanks for your past work (Closes: #704976)
    - add me as Uploaders
    - set Standards-Version: 3.9.5
    - drop obsolete "Dm-Upload-Allowed: yes" field
    - set "Build-Depends: debhelper (>= 9)"
    - add "Build-Depends: python-dev"
    - move svn to git for Vcs-*
    - add "Depends: python-fontforge, python-libxml2"
    - drop Build-Depends-Indep
    - fix "description-synopsis-starts-with-article" and
      "duplicate-long-description"
  * debian/compat
    - set 9
  * debian/rules
    - use --with python2
  * debian/patches
    - add remove_sourceforge-logo-link.patch
    - add fix_manpage_hyphen-used-as-minus-sign.patch
  
 -- Hideki Yamane <henrich@debian.org>  Tue, 14 Jan 2014 13:19:38 +0900

=== debian/control ===
Source: xgridfit
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <pkg-fonts-devel@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>
XS-Python-Version: >= 2.6
Build-Depends: debhelper (>= 9), python-dev
Standards-Version: 3.9.5
Homepage: http://xgridfit.sourceforge.net/
Vcs-Git: git://anonscm.debian.org/pkg-fonts/xgridfit.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-fonts/xgridfit.git;a=summary

Package: xgridfit
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, xsltproc, python-fontforge, python-libxml2
Suggests: fontforge, fonttools
Description: program for gridfitting, or "hinting," TrueType fonts
 Xgridfit is a simple program that implements an XML-based language
 for gridfitting, or "hinting," TrueType fonts.

Package: xgridfit-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for xgridfit
 Xgridfit is a simple program that implements an XML-based language
 for gridfitting, or "hinting," TrueType fonts.
 .
 This package contains document for xgridfit.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with python2

override_dh_auto_build:
	dh_auto_build --no-act

override_dh_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/xgridfit PREFIX=/usr install
	$(MAKE) DESTDIR=$(CURDIR)/debian/xgridfit-doc PREFIX=/usr install-docs

=== debian/watch ===
version=3
http://sf.net/xgridfit/xgridfit-(.*)\.tar\.gz
